Page MenuHomePhabricator

Make a form without city/state for a test
Closed, ResolvedPublic1 Story Points

Description

Not having city & state could improve conversion, particularly on mobile. If we were to do this for the long run, we would need to fill this information from the Zip, but before we commit to that work we want to run a test and see if it actually helps us.

To consider: is this possible with GC or WP or do they require these fields?

We will have to plan to have someone manually backfill the data for the short test.

Details

Related Gerrit Patches:
wikimedia/fundraising/crm : masterFill in missing city and state from US zip code
mediawiki/extensions/DonationInterface : masterAdyen US form without city/state fields

Event Timeline

atgo created this task.Jan 8 2015, 9:43 PM
atgo raised the priority of this task from to Medium.
atgo updated the task description. (Show Details)
atgo added a project: Fundraising-Backlog.
atgo moved this task from Triage to Closed Sprint Work Q4 1415 on the Fundraising-Backlog board.
atgo added subscribers: Aklapper, atgo.
atgo set Security to None.
atgo lowered the priority of this task from Medium to Low.May 15 2015, 4:50 PM
awight edited a custom field.Sep 15 2015, 5:49 PM
atgo raised the priority of this task from Low to Medium.Oct 8 2015, 8:09 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 18 2016, 7:40 PM

We may want to do this with Adyen in the relatively near future.

Change 319414 had a related patch set uploaded (by XenoRyet):
Adyen US form without address fields

https://gerrit.wikimedia.org/r/319414

XenoRyet claimed this task.Nov 2 2016, 9:29 PM
XenoRyet moved this task from Backlog to Doing on the Fundraising Sprint Unbreaking Now board.
Ejegg added a subscriber: Ejegg.Nov 2 2016, 9:32 PM

We just added a table of US zip codes with city & state to Civi. It shouldn't be too hard to wire that up to the address save hook and fill in missing fields.

Change 319480 had a related patch set uploaded (by Ejegg):
Fill in missing city and state from US zip code

https://gerrit.wikimedia.org/r/319480

Change 319414 merged by jenkins-bot:
Adyen US form without city/state fields

https://gerrit.wikimedia.org/r/319414

Change 319480 merged by jenkins-bot:
Fill in missing city and state from US zip code

https://gerrit.wikimedia.org/r/319480

This is ready to go out. @Pcoombe , @Ppena , @MeganHernandez_WMF , @Jseddon : want me to hold off deploying? After this is deployed, the US Adyen form will switch to street & zip code only. To get the form chooser routing US/USD to Adyen, for some reason you need to include both 'ffname=adyen-test' and 'gateway=adyen' parameters.

There's a matching Civi patch that should automatically get the states and cities backfilled - the data we found for @CCogdill_WMF's time zone request had those for each zip code too, so it was an easy win.

Ppena added a comment.Nov 7 2016, 5:09 PM

Thanks @Ejegg . Can you confirm that the fields being removed are city and state?
And if so, are we passing anything to Adyen on those fields? I want to make sure to explain the changes to Adyen correctly.

Ejegg added a comment.Nov 7 2016, 5:11 PM

@Ppena , correct, we're removing city and state. We'll be stuffing those fields with 'NA' to avoid Adyen complaining about incomplete addresses (as with the standalone 'house name or number' field that held us up with GB). We will continue to send the donor's street address and postal code, as well as the country code.

I'm a little worried the time zone data we got was incomplete, so just want
to flag that Legal requests we send specific donation totals raised in
about 10 states each year. We should be really positive the postal codes
are backfilling the correct states before running this test. If I'm wrong
about the time zone data, please ignore this comment :D

Ppena added a comment.Nov 7 2016, 5:33 PM

@CCogdill_WMF good thought. @Ejegg pls send the link around for internal testing first.

Ejegg added a comment.Nov 7 2016, 5:44 PM

@CCogdill_WMF : the timezone data looks pretty good. Of US addresses with 5 characters in the postal code field, 4.2M have a timezone vs 55k without. US 10 char postal codes are 218k with timezones and only 3.5k without.

The missing timezones in the export file are due to an oversight in the export logic - I think a lot of rows in the file are missing postal codes due to the same bug.

This will be the testing link as soon as I deploy it:
https://payments.wikimedia.org/index.php?title=Special:AdyenGateway&appeal=JimmyQuote&ffname=adyen&payment_method=cc&uselang=en&language=en&currency_code=USD&amount=1&country=US&utm_source=internal_test

Should I go ahead and do that?

Oh, cool, so just an issue with the silverpop file, then?

That link looks like it still has city/state on it to me...

Ppena added a comment.Nov 7 2016, 5:47 PM

@Ejegg yes pls push that through and let us know. Thank you!

Ejegg added a comment.Nov 7 2016, 8:14 PM

OK, both halves of this are deployed now.

As a bonus, the city/state lookup works from the Civi UI as well, so anyone adding US addresses can leave those fields blank and just enter the zip. After saving, the city and state should magically appear.

Ejegg closed this task as Resolved.Nov 9 2016, 11:06 PM